//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI.WebControls;
using CommunityServer.Components;
using CommunityServer.ControlPanel.UI;
using CommunityServer.Controls;
using CommunityServer.ControlPanel.Controls;
using CommunityServer.Discussions.Components;

namespace CommunityServer.ControlPanel.Forums
{
	/// <summary>
	/// Summary description for Forums.
	/// </summary>
	public class Forums : BaseForumPage
	{
	
		protected CommunityServer.ControlPanel.Controls.ResourceLinkButton AddButton;

		override protected void OnInit(EventArgs e)
		{
			this.AddButton.Click += new EventHandler(AddButton_Click);
			this.Load += new EventHandler(this.Page_Load);
			base.OnInit(e);
		}


		private void Page_Load(object sender, EventArgs e)
		{
		}

		private void AddButton_Click(object sender, EventArgs e)
		{
			CSContext.Current.Context.Response.Redirect(ForumUrls.Instance().ControlPanel_NewForum);
		}

	}
}
